Subject: Re: [Roll] Barry Leiba's No Objection on draft-ietf-roll-turnon-rfc8138-11: (with COMMENT)

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 2 Sep 2020 13:21:07 +0000

Hello Barry

Many thanks for your time and review. This is always appreciated : )

I made a proposed round of changes that are visible here:
https://github.com/roll-wg/roll-turnon-rfc8138/commit/18325738f90c8155f58e28be3334b58f03813b97

please see below for the discussion:

> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Just a couple of very minor comments:
> 
> “RPL” should be expanded on first use.
> We should probably ask the RFC Editor to mark “DAG” and “DODAG” as “well
> known”, but they are not yet so marked, so “DODAG” should be expanded on
> first use.

Yes, I expanded a bit the introduction. 
Th efirst 2 paragraphs now say
"
   The design of Low Power and Lossy Networks (LLNs) is generally
   focused on saving energy, which is the most constrained resource of
   all.  The routing optimizations in the "Routing Protocol for Low
   Power and Lossy Networks" [RFC6550] (RPL) such as routing along a
   Destination-Oriented Directed Acyclic Graph (DODAG) to a Root Node
   and the associated packet compression technique [RFC8138] derive from
   that primary concern.

   Enabling [RFC8138] requires a Flag Day where the network is upgraded
   and rebooted.  Otherwise, if acting as a Leaf, a node that does not
   support the compression would fail to communicate; if acting as a
   router it would drop the compressed packets and black-hole a portion
   of the network.  This specification enables a hot upgrade where a
   live network is migrated.  During the migration, the compression
   remains inactive, until all nodes are upgraded.

"

> — Section 5.3 —
> 
>    It is RECOMMENDED to only deploy nodes that support [RFC8138] in a
>    network where the compression is turned on.
> 
> I think I misread this the first time; it’s ambiguous, so please reword it to make
> this clear.  What is it that’s recommended?: 1. In a network where compression
> is turned on, only deploy nodes that support 8138? 2. Don’t deploy nodes that
> support 8138 unless compression is turned on?

The former, 1. Interestingly, you used the same words. This is hitting my limits as a non-native. 
I changed to the double negative that I wanted to avoid, hoping it is more readable in the end:
"
   Nodes that do not support [RFC8138] SHOULD NOT be deployed in a
   network where the compression is turned on.  If that it done, the
   node [RFC8138] can only operate as a RUL.
"

> 
> — Section 7 —
> 
>    An attacker in the middle of the network may reset the "T" flag
> 
> Thank you for this phrasing; I like it.
> 

I got help. Help is good. Thanks again for yours.

Please let me know if we need more work here : )

Take care,

Pascal

---

From: Barry Leiba <[email-masked]>
Date: Wed, 2 Sep 2020 10:05:24 -0400

> Please let me know if we need more work here : )

No more work, in my opinion.  And thanks for the quick response to my comments!

Barry

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 2 Sep 2020 14:14:31 +0000

Many thanks Barry.

I published -12 for this:

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-roll-turnon-rfc8138/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-roll-turnon-rfc8138-12
https://datatracker.ietf.org/doc/html/draft-ietf-roll-turnon-rfc8138-12

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-roll-turnon-rfc8138-12

Take care;

Pascal

> -----Original Message-----
> From: Barry Leiba <[email-masked]>
> Sent: mercredi 2 septembre 2020 16:05
> To: Pascal Thubert (pthubert) <[email-masked]>
> Cc: The IESG <[email-masked]>; [email-masked]; roll-
> [email-masked]; [email-masked]; Ines Robles
> <[email-masked]>; [email-masked]
> Subject: Re: Barry Leiba's No Objection on draft-ietf-roll-turnon-rfc8138-11:
> (with COMMENT)
>